summaryrefslogtreecommitdiff
path: root/dev-python/audioread
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/audioread
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/audioread')
-rw-r--r--dev-python/audioread/Manifest1
-rw-r--r--dev-python/audioread/audioread-2.1.8-r2.ebuild38
-rw-r--r--dev-python/audioread/files/audioread-2.1.8-test-deps.patch27
-rw-r--r--dev-python/audioread/metadata.xml16
4 files changed, 82 insertions, 0 deletions
diff --git a/dev-python/audioread/Manifest b/dev-python/audioread/Manifest
new file mode 100644
index 000000000000..8f5f4d9ac4d0
--- /dev/null
+++ b/dev-python/audioread/Manifest
@@ -0,0 +1 @@
+DIST audioread-2.1.8.tar.gz 21222 BLAKE2B 78cc55d45dd987fbe0171cd3da9f8441e38b60fa6f1b0ef8b0781abc91e6b447b8cf839437b59bfafdf13ca90bb50a032788e0470250f303122a46ddc24ebd19 SHA512 9db5ad1f8b2047256b5f6b4bbee2366043ed19d35ffd2766ae3ab66bdc5b9f63910bcf449fd42aab074fd8132642bf730c432aa0c8f3c5368cd6ef36d7f4f5a5
diff --git a/dev-python/audioread/audioread-2.1.8-r2.ebuild b/dev-python/audioread/audioread-2.1.8-r2.ebuild
new file mode 100644
index 000000000000..ef3bc88e7429
--- /dev/null
+++ b/dev-python/audioread/audioread-2.1.8-r2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+inherit distutils-r1
+
+DESCRIPTION="Wrapper for audio file decoding using FFmpeg or GStreamer"
+HOMEPAGE="https://pypi.org/project/audioread/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="ffmpeg gstreamer mad test"
+
+BDEPEND="
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+RDEPEND="
+ ffmpeg? ( media-video/ffmpeg )
+ gstreamer? (
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ media-libs/gstreamer:1.0
+ media-plugins/gst-plugins-meta:1.0
+ )
+ mad? ( dev-python/pymad )
+"
+
+RESTRICT="!test? ( test )"
+
+PATCHES=( "${FILESDIR}/${P}-test-deps.patch" ) # git master
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+ sed -e "/'pytest-runner'/d" -i setup.py || die
+}
diff --git a/dev-python/audioread/files/audioread-2.1.8-test-deps.patch b/dev-python/audioread/files/audioread-2.1.8-test-deps.patch
new file mode 100644
index 000000000000..0a67767070b1
--- /dev/null
+++ b/dev-python/audioread/files/audioread-2.1.8-test-deps.patch
@@ -0,0 +1,27 @@
+From 5dd6c87a53f3a6c5bfa6ea384598213c49402056 Mon Sep 17 00:00:00 2001
+From: Glen Baker <iepathos@gmail.com>
+Date: Mon, 5 Aug 2019 23:40:27 -0700
+Subject: [PATCH] Correct pytest-runner location in setup.py
+
+Moved pytest-runner from setup_requires to tests_require. It is the tests that require pytest-runner.
+---
+ setup.py | 5 +----
+ 1 file changed, 1 insertion(+), 4 deletions(-)
+
+diff --git a/setup.py b/setup.py
+index bd90605..6041f6e 100644
+--- a/setup.py
++++ b/setup.py
+@@ -36,11 +36,8 @@ def _read(fn):
+
+ packages=['audioread'],
+
+- setup_requires=[
+- 'pytest-runner'
+- ],
+-
+ tests_require=[
++ 'pytest-runner',
+ 'pytest'
+ ],
+
diff --git a/dev-python/audioread/metadata.xml b/dev-python/audioread/metadata.xml
new file mode 100644
index 000000000000..54fb6d0a8f67
--- /dev/null
+++ b/dev-python/audioread/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <!-- maintainer-needed -->
+ <longdescription lang="en">
+ Decode audio files using whichever backend is available. The library currently supports:
+ * Gstreamer via gst-python.
+ * MAD via the pymad bindings.
+ * FFmpeg via its command-line interface.
+ * The standard library wave and aifc modules (for WAV and AIFF files).
+ </longdescription>
+ <upstream>
+ <remote-id type="pypi">audioread</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>